Name:          jmol
Version:       12.0.49
Release:       %mkrel 1
Summary:       An open-source Java viewer for chemical structures in 3D
Group:         Sciences/Chemistry
License:       LGPL
Url:           http://jmol.sourceforge.net/
Source0:       http://sourceforge.net/projects/jmol/files/Jmol/Version%2012.0/Version%2012.0.49/Jmol-12.0.49-full.tar.gz
# svn export https://jmol.svn.sourceforge.net/svnroot/jmol/branches/v12_0/Jmol/selfSignedCertificate
# tar czf jmol-v12_0-selfSignedCertificate-src-svn.tar.gz selfSignedCertificate
Source1:       jmol-v12_0-selfSignedCertificate-src-svn.tar.gz
Source2:       http://wiki.jmol.org/images/b/b6/Jmol_icon_128.png
Source3:       jmol.desktop
Source4:       jmol-script
Source5:       acetylene.pdb
Source6:       cocaine.pdb
Patch0:        jmol-12.0.47-build_xml.patch
Patch1:        jmol-12.0.47-dontsignjar.patch
Patch2:        jmol-12.0.47-jmolocation.patch
Patch3:        jmol-12.0.49-include-jars.patch
BuildRequires: ant
BuildRequires: ant-contrib
BuildRequires: apache-commons-cli
#BuildRequires: acme
#BuildRequires: dadml
BuildRequires: desktop-file-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: gettext-devel
BuildRequires: gnujaxp
BuildRequires: icedtea-web
BuildRequires: imagemagick
BuildRequires: itext
BuildRequires: java3d
BuildRequires: jpackage-utils
BuildRequires: jsch
BuildRequires: junit
BuildRequires: python-devel
BuildRequires: libxml2-python
BuildRequires: saxon
Requires:      icedtea-web
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Jmol is a Java molecular viewer for three-dimensional chemical structures.
Features include reading a variety of file types and output from
quantum chemistry programs, and animation of multi-frame files and
computed normal modes from quantum programs.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Jmol - An open-source Java viewer for chemical structures in 3D.

This package contains javadoc for %{name}.

%package doc
Group:         Development/Java
Summary:       Documentation for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
Jmol - An open-source Java viewer for chemical structures in 3D.

This package contains documentation for %{name}.

%prep
%setup -q -n jmol-%{version} -a1
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

for j in $(find . -name "*.jar"); do
  rm -f $j
done
for c in $(find . -name "*.class" ); do
  rm -f $c
done

find . -name "*.bat" | xargs rm -fr
find . -name "*.dll" | xargs rm -fr
find . -name "*.exe" | xargs rm -fr
find . -name "*.mac" | xargs rm -fr

for doc in CHANGES.txt COPYRIGHT.txt LEAME.txt LICENSE.txt README.txt ; do
  chmod 644 $doc
  sed "s|\r||g" $doc > $doc.new && touch -r $doc $doc.new && mv $doc.new $doc
done

sed -i "s|#!/usr/bin/python|#!%{__python}|" doc/source/xml2po.py
sed -i "s|python|%{__python}|" doc/source/xml2po.sh

%build

export CLASSPATH=$(build-classpath jsch junit)
ant doc main

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/jmol
install -pm 644 build/JmolUnsigned.jar %{buildroot}%{_javadir}/jmol/Jmol-%{version}.jar
install -pm 644 build/JmolApplet.jar %{buildroot}%{_javadir}/jmol/JmolApplet-%{version}.jar
install -pm 644 build/JvxlUnsigned.jar %{buildroot}%{_javadir}/jmol/Jvxl-%{version}.jar

(
  cd %{buildroot}%{_javadir}/jmol
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jmol
cp -rp build/javadoc/* %{buildroot}%{_javadocdir}/jmol

for png in 64x64 48x48 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${png}/apps/
  convert -geometry $png %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/${png}/apps/jmol.png
done

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
install -pm 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/jmol.png

mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -sf ../icons/hicolor/32x32/apps/jmol.png %{buildroot}%{_datadir}/pixmaps/jmol.png

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE3} --mode=644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/jmol.desktop

mkdir -p %{buildroot}%{_datadir}/jmol/doc
install -m 644 build/doc/*.html %{buildroot}%{_datadir}/jmol/doc/
mkdir -p %{buildroot}%{_datadir}/jmol/doc/JmolHistory
install -m 644 build/doc/JmolHistory/*.html %{buildroot}%{_datadir}/jmol/doc/JmolHistory
mkdir -p %{buildroot}%{_datadir}/jmol/doc/JmolUserGuide
install -m 644 build/doc/JmolUserGuide/*.html %{buildroot}%{_datadir}/jmol/doc/JmolUserGuide
mkdir -p %{buildroot}%{_datadir}/jmol/doc/JmolUserGuide_fr
install -m 644 build/doc/JmolUserGuide_fr/*.html %{buildroot}%{_datadir}/jmol/doc/JmolUserGuide_fr

mkdir -p %{buildroot}%{_bindir}
install -pm 755 jmol %{buildroot}%{_bindir}/jmol

mkdir -p %{buildroot}%{_datadir}/jmol/samples
install -pm 644 appletweb/*.js %{buildroot}%{_datadir}/jmol/

#install -pm 644 appletweb/*.java %{buildroot}%{_datadir}/jmol/
#install -pm 644 appletweb/*.html %{buildroot}%{_datadir}/jmol/
#install -pm 644 appletweb/*.properties %{buildroot}%{_datadir}/jmol/
#install -pm 644 appletweb/*.cgi %{buildroot}%{_datadir}/jmol/
#install -pm 644 appletweb/*.pl %{buildroot}%{_datadir}/jmol/

#cp -rp examples %{buildroot}%{_datadir}/jmol/
install -m 644 %{SOURCE5} %{SOURCE6} %{buildroot}%{_datadir}/jmol/samples/

%files
%{_javadir}/jmol/Jmol-%{version}.jar
%{_javadir}/jmol/Jmol.jar
%{_javadir}/jmol/JmolApplet-%{version}.jar
%{_javadir}/jmol/JmolApplet.jar
%{_javadir}/jmol/Jvxl-%{version}.jar
%{_javadir}/jmol/Jvxl.jar
%{_bindir}/jmol
%{_datadir}/applications/jmol.desktop
%{_datadir}/icons/hicolor/*x*/apps/jmol.png
%{_datadir}/pixmaps/jmol.png
%{_datadir}/jmol/*.js
%{_datadir}/jmol/samples
%doc CHANGES.txt COPYRIGHT.txt LEAME.txt LICENSE.txt README.txt

%files javadoc
%{_javadocdir}/jmol

%files doc
%{_datadir}/jmol/doc



%changelog

* Sat Aug 27 2011 dmorgan <dmorgan> 12.0.49-1.mga2
+ Revision: 135644
- Remove useless macros

  + gil <gil>
    - update to 12.0.49
    - imported package jmol


* Fri Jul 08 2011 gil <gil> 12.0.47-0.%%mkrel
- initial rpm
